> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request oauth window uri

> This endpoint will generate an `oauth_window_uri` for the specified `member`.

## Path Parameters

<ParamField path="member_guid" required type="string">
  The unique id for a member.
</ParamField>

<ParamField path="user_guid" required type="string">
  The unique identifier for a user, beginning with the prefix USR-.
</ParamField>

## Query Parameters

<ParamField query="client_redirect_url" type="string">
  A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with referral\_source=APP.
</ParamField>

<ParamField query="enable_app2app" type="boolean">
  This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any oauth\_window\_uri generated will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.
</ParamField>

<ParamField query="referral_source" type="string">
  Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.
</ParamField>

<ParamField query="skip_aggregation" type="boolean">
  Setting this parameter to true will prevent the member from automatically aggregating after being redirected from the authorization page.
</ParamField>

<ParamField query="ui_message_webview_url_scheme" type="string">
  A scheme for routing the user back to the application state they were previously in. Only available with referral\_source=APP.
</ParamField>

<RequestExample>
  ```bash cURL  theme={null}
  curl -L -X GET 'https://int-api.mx.com/users/:user_guid/members/:member_guid/oauth_window_uri' \
  -H 'Accept: application/vnd.mx.api.v1+json' \
  -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "member": {
      "guid": "MBR-df96fd60-7122-4464-b3c2-ff11d8c74f6f",
      "oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2"
    }
  }
  ```
</ResponseExample>
